Subject: Re: bug#73560: [PATCH] fix term color reset handling

From: Eli Zaretskii <[email-masked]>
Date: Sat, 05 Oct 2024 13:38:25 +0300

> From: Daniel Colascione <[email-masked]>
> Date: Sun, 29 Sep 2024 22:45:22 -0400
> 
> 
> term responds to SGR0 by resetting term-current-face face to the
> foreground and background of the current face instead of omitting these
> attributes entirely.  Consequently, text inserted by term becomes
> "opinionated" about what the foreground and background colors are and if
> the default face changes, already-inserted-by-term text doesn't change
> to match, since it has hardcoded hex color face text properties.
> 
> The patch below makes term behave more like other terminal emulators and
> distinguish the absence of a foreground or background color from
> specifying some specific foreground or background color.

Since this patch was installed on the master branhc, I'm now closing
this bug.

Thanks.